%define anolis_release 1

Name:           lujavrite
Version:        1.0.2
Release:        %{anolis_release}%{?dist}
Summary:        Lua library for calling Java code
License:        Apache-2.0
URL:            https://github.com/mizdebsk/lujavrite
ExclusiveArch:  %{java_arches}

Source0:        https://github.com/mizdebsk/lujavrite/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  lua-devel
BuildRequires:  java-devel

%{?lua_requires}

%description
LuJavRite is a rock-solid Lua library that allows calling Java code
from Lua code.  It does so by launching embedded Java Virtual Machine
and using JNI interface to invoke Java methods.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q

%build
./build.sh

%install
install -D -p -m 0755 lujavrite.so %{buildroot}%{lua_libdir}/%{name}.so
%generate_compatibility_deps

%check
%ifarch x86_64
sed -i 's/server\/libjvm.so/amd64\/server\/libjvm.so/' test.lua
%endif

%ifarch aarch64
sed -i 's/server\/libjvm.so/aarch64\/server\/libjvm.so/' test.lua
%endif
lua test.lua

%files
%{lua_libdir}/*
%license LICENSE NOTICE
%dir %{abidir}
%{abidir}/*.dump

%files doc
%doc README.md

%changelog
* Mon Mar 27 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.2-1
- init from upstream
